Package org.apache.tomcat.dbcp.pool2

## Enum DestroyMode

- java.lang.Object
- - java.lang.Enum<DestroyMode>
  - - org.apache.tomcat.dbcp.pool2.DestroyMode

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<DestroyMode>`

    public enum DestroyMode
    extends java.lang.Enum<DestroyMode>

Destroy context provided to object factories via destroyObject methods. Values provide information about why the pool is asking for a pooled object to be destroyed.

Since:
  2.9.0

### Enum Constant Summary

Enum Constants
`ABANDONED` Destroy abandoned object
`NORMAL` Normal destroy

### Method Summary

All Methods Static Methods Concrete Methods
`static DestroyMode` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DestroyMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NORMAL

    public static final DestroyMode NORMAL

Normal destroy

#### ABANDONED

    public static final DestroyMode ABANDONED

Destroy abandoned object

### Method Detail

#### values

    public static DestroyMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DestroyMode c : DestroyMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DestroyMode valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null